%define name 		 ogle
%define version	 	 0.9.2
%define release 	 %mkrel 2
%define major_dvdcontrol 9
%define major_msgevents  6

%define libdvdcontrol %mklibname dvdcontrol %major_dvdcontrol
%define libmsgevents  %mklibname msgevents %major_msgevents

Summary:	A DVD player for linux that supports DVD menus
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Video
URL:		http://www.dtek.chalmers.se/groups/dvd/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	autoconf2.5
BuildRequires:	liba52dec-devel >= 0.7.3
BuildRequires:	libalsa-devel
BuildRequires:	libdvdread-devel >= 0.9.4
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libxml2-devel >= 2.4.19
BuildRequires:	XFree86-devel
ExclusiveArch:	i686 i586 ppc

%description
Ogle is a DVD player. It's features are: Supports DVD menus and navigation,
reads encrypted and unencrypted DVDs using libdvdread/libdvdcss, normal X11
and XFree86 Xvideo display support with subpicture overlay, audio and
subpicture selection, advanced subpicture commands such as fade/scroll and
wipe, detects and uses correct aspect for movie and menus, playing AC3 via
S/PDIF with an external command, fullscreen mode, screenshots with and
without subpicture overlay...

%package -n %libdvdcontrol
Summary:	Shared library for the Ogle DVD player
Group:		System/Libraries
Provides:	libdvdcontrol = %{version}-%{release}
Obsoletes:	libogle1
Conflicts:	libogle

%description -n %libdvdcontrol
This are the libraries for the Ogle DVD player which are need to use
programs that use it (like GUIs).

%package -n %{libdvdcontrol}-devel
Summary:	Development files for the Ogle DVD player
Group:		Development/C
Requires:	%libdvdcontrol = %{version}-%{release}
Requires:	%libmsgevents = %{version}-%{release}
Provides:	libdvdcontrol-devel = %{version}-%{release}
Obsoletes:	libogle1-devel
Conflicts:	libogle-devel

%description -n %{libdvdcontrol}-devel
This are the header files from the Ogle DVD player which are needed to
create programs that use it (like GUIs).

%package -n %libmsgevents
Summary:	Shared library for the Ogle DVD player
Group:          System/Libraries
Provides:	libmsgevents = %{version}-%{release}

%description -n %libmsgevents
This are the libraries for the Ogle DVD player which are need to use
programs that use it (like GUIs).

%package -n %{libmsgevents}-devel
Summary:	Development files for the Ogle DVD player
Group:		Development/C
Requires:	%libmsgevents = %{version}-%{release}
Provides:	libmsgevents-devel = %{version}-%{release}

%description -n %{libmsgevents}-devel
This are the header files from the Ogle DVD player which are needed to
create programs that use it (like GUIs).


%prep
rm -rf %buildroot
%setup -q

perl -pi -e 's/\@XML_CFLAGS\@/\@XML_CPPFLAGS\@/g' \
    ac3/Makefile.am \
    dvd_cli/Makefile.am \
    mpeg2_video/Makefile.am \
    ogle/Makefile.am \
    vmg/Makefile.am
 
# patch some files to make sure config stuff goes into /etc
cat Makefile.am | sed 's/pkgdata_DATA/sysconf_DATA/g' > Makefile.am.patched
mv -f Makefile.am.patched Makefile.am
cat configure.in | sed 's#${prefix}/share/ogle#${sysconfdir}#g' | sed 's#${ac_default_prefix}/share/ogle#${sysconfdir}#g' > configure.in.patched
mv -f configure.in.patched configure.in

%build
aclocal
WANT_AUTOCONF_2_5=1 autoconf
automake
%configure
%make

%install
%makeinstall
# ifo_dump is already provided by libdvdread-utils
rm -f %{buildroot}/%{_bindir}/ifo_dump

%clean
rm -rf %buildroot


%post -n %libdvdcontrol -p /sbin/ldconfig
%postun -n %libdvdcontrol -p /sbin/ldconfig

%post -n %libmsgevents -p /sbin/ldconfig
%postun -n %libmsgevents -p /sbin/ldconfig


%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/ogle_*
%{_mandir}/man*/*
%config(noreplace) %{_sysconfdir}/*


%files -n %libdvdcontrol
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libdvdcontrol.so.*

%files -n %libdvdcontrol-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libdvdcontrol.so
%attr(755,root,root) %{_libdir}/%{name}/libdvdcontrol.la
%{_libdir}/%{name}/libdvdcontrol.a
%{_includedir}/%{name}/dvdcontrol.h
%{_includedir}/%{name}/dvdbookmarks.h


%files -n %libmsgevents
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libmsgevents.so.*

%files -n %libmsgevents-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libmsgevents.so
%attr(755,root,root) %{_libdir}/%{name}/libmsgevents.la
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libmsgevents.a
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/dvd.h
%{_includedir}/%{name}/dvdevents.h
%{_includedir}/%{name}/msgevents.h


%changelog
* Sun Mar 27 2005 Olivier Thauvin <nanardon@zarb.org> 0.9.2-2mdk
- %%mkrel
- rebuild
- back into contrib

* Wed Nov 12 2003 Michael Reinsch <mr@uue.org> 0.9.2-1plf
- new release

* Sat Aug 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-7plf
- Obsoletes libogle1

* Sat Jul 19 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-6plf
- rebuild

* Thu Jul 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-5plf
- add obsoletes libogle

* Sat Jun 07 2003 Michael Reinsch <mr@uue.org> 0.9.1-4plf
- spec cleanup

* Mon Jun 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-3plf
- fix requires
- fix conflict with libdvdread-utils

* Mon Jun 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-2plf
- fix provides
 
* Sun Jun 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-1plf 
- From Torstein Dybdahl <torsted@runbox.no>
    - 0.9.1
    - %%mklibname
    - Buildrequires autoconf2.5, libmad, libdvdread >= 0.9.4
- cleanup

* Thu Nov 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.5-2plf
- fix unpackaged files

* Sat Oct 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.5-1plf
- 0.8.5

* Mon Jul 15 2002 Buchan Milne <bgmilne@cae.co.za> 0.8.4-1plf
- 0.8.4

* Thu Jun 13 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.3-2plf
- now buildrequire libxml >= 2.4.19

* Thu Jun 13 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.3-1plf
- 0.8.3 final
- BuildRequires
- remove Patch{0,1}

* Sat May 04 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.2-20020409cvs.0.2plf
- BuildRequires

* Tue Apr 09 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-20020409cvs.0.1plf
	- resync with cvs
	- fixing depedencies

* Sat Mar 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-1cvs.0.3plf
	- Add missing link on .so in devel
	
* Fri Mar 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-1cvs.0.2plf 
	- Builrequires s/libdvdread2-devel/libdvdread0-devel/
	- move config file in /etc

* Fri Mar 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-1cvs.0.1plf
	Create package from Michael Reinsch <mr@uue.org> package
		- first plf package
